Package org.apache.tomcat.websocket.pojo

## Class PojoMessageHandlerWholeText

- java.lang.Object
- - org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<T>
  - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase<java.lang.String>
    - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeText

All Implemented Interfaces:
  `MessageHandler`, `MessageHandler.Whole<java.lang.String>`, `WrappedMessageHandler`

    public class PojoMessageHandlerWholeText
    extends PojoMessageHandlerWholeBase<java.lang.String>

Text specific concrete implementation for handling whole messages.

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.websocket.MessageHandler

`MessageHandler.Partial<T>, MessageHandler.Whole<T>`

### Field Summary

### Fields inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase

`decoders`

### Fields inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

`convert, indexPayload, indexSession, maxMessageSize, method, params, pojo, session`

### Constructor Summary

Constructors
`PojoMessageHandlerWholeText​(java.lang.Object pojo, java.lang.reflect.Method method, Session session, EndpointConfig config, java.util.List<java.lang.Class<? extends Decoder>> decoderClazzes, java.lang.Object[] params, int indexPayload, boolean convert, int indexSession, long maxMessageSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.Object` `convert​(java.lang.String message)`
`protected java.lang.Object` `decode​(java.lang.String message)`

### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase

`createDecoderInstance, onClose, onMessage`

### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

`getMaxMessageSize, getWrappedHandler, handlePojoMethodException, processResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PojoMessageHandlerWholeText

    public PojoMessageHandlerWholeText​(java.lang.Object pojo,
                                       java.lang.reflect.Method method,
                                       Session session,
                                       EndpointConfig config,
                                       java.util.List<java.lang.Class<? extends Decoder>> decoderClazzes,
                                       java.lang.Object[] params,
                                       int indexPayload,
                                       boolean convert,
                                       int indexSession,
                                       long maxMessageSize)

### Method Detail

#### decode

    protected java.lang.Object decode​(java.lang.String message)
                               throws DecodeException

Specified by:
  `decode` in class `PojoMessageHandlerWholeBase<java.lang.String>`
Throws:
  `DecodeException`

#### convert

    protected java.lang.Object convert​(java.lang.String message)

Overrides:
  `convert` in class `PojoMessageHandlerWholeBase<java.lang.String>`